TechDraw NewSection

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw NewSection and the translation is 9% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw NewSection.png TechDraw NewSection

Menu location
TechDraw → Section
Workbenches
TechDraw
Default shortcut
Introduced in version
-
See also

Descriere

Instrumentul Section/secțiune creează o vedere în secțiune transversală pe baza unei vizualizări a piese existente.

TechDraw Section example.png

The Section tool creates a cross section view based on an existing part view.

TechDraw Section example.png

Sectioning an already placed view, which shows the internal holes and a shaded cut surface


Cum se utilizează

  1. Selecționați o vedere a piesei în fereastră 3D sau în arborescență.
  2. Dacă aveți mai multe pagini de desen în documentul dvs, va trebui să selectați și pagina dorită din arborescență.
  3. Apăsați buyonul Techdraw-viewsection.png Section
  4. Se deschide o casetă de dialog care va ajuta la definirea diferitelor proprietăți ale Secțiunii. Caseta de dialog calculează punctele de pornire rezonabile pentru SectionNormal și Vizualizarea Direcțion, dar acestea pot fi modificate după crearea pentru nevoi speciale.
  1. Select a part view in the 3D window or tree.
  2. If you have multiple drawing pages in your document, you will also need to select the desired page in the tree.
  3. Press the Techdraw-viewsection.svg Section button
  4. A dialog will open which will help calculate the various Section properties. The dialog calculates reasonable starting points for SectionNormal and view Direction, but these may be changed after creation for special needs.
  5. If you make a mistake, or change your mind while setting up the Section parameters, press the Reset button, and you can start over.

TechDraw Section Taskview.png

Taskview to define the sectional cut of a view


Proprietăți

  • DataBaseView: Vederea piesei pe care această ViewSection se bazează.
  • DataSectionNormal: Un vector care descrie direcția normală la planul de tăiere.
  • DataSectionOrigin: Un vector care descrie un punct pe planul de tăiere. De obicei centrul piesei de origine.
  • DataFileHatchPattern: Full path to hatch pattern file.
  • DataNameGeomPattern: Name of PAT pattern to use (blank for Svg hatch).
  • ViewShowCutSurface: Highlight the section surface if true.
  • ViewCutSurfaceColor: Culoarea suprafeței solidului secționat (pentru evidențierea suprafeței).
  • ViewHatchColor: Culoarea pentru liniile de hașură în secțiune.
  • ViewWeightPattern: Densitatea liniilor de hașură din secțiune.

Data

  • DataBaseView: The part view on which this ViewSection is based.
  • DataSectionNormal: A vector describing the direction normal to the cutting plane.
  • DataSectionOrigin: A vector describing a point on the cutting plane. Typically the centroid of the original part.
  • DataFuseBeforeCut: Fuse the source shapes before performing the section cut.


  • DataCutSurfaceDisplay: Appearance of cut surface - Hide, Color, SvgHatch, PatHatch.
  • DataFileHatchPattern: Full path to SVG hatch pattern file.
  • DataFileGeomPattern: Full path to PAT pattern file.
  • DataNameGeomPattern: Name of PAT pattern to use (ignored for Svg hatch).

View

  • ViewShowCutSurface: Highlight the section surface if true. OBSOLETE - use CutSurfaceDisplay
  • ViewCutSurfaceColor: Solid color for surface highlight.
  • ViewHatchColor: Color for surface hatch lines.
  • ViewWeightPattern: Line weight for surface hatch lines.

Notă: Secțiunea moștenește toate proprietățile de vizualizare aplicabile.

Script

Secțiunile pot fi adăugate la Pages utilizând Python.

See also: TechDraw API and FreeCAD Scripting Basics.

The New Section tool can be used in macros and from the Python console by using the following functions:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
view.Source = box
view.Direction = (0.0,0.0,1.0)

section = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSection','Section')
rc = page.addView(section)
section.Source = box
section.BaseView = view
section.Direction = (0.0,1.0,0.0)
section.SectionNormal = (0.0,0.0,1.0)
section.SectionOrigin = (5.0,5.0,5.0)

Notes

  • Section Line Format: both the traditional section line format (as depicted above), and the "reference arrow method" are supported. This option is controlled by the Preference setting "Mod/TechDraw/Format/SectionFormat" (see Std_DlgParameter). 0 for traditional line, 1 for reference arrow method.
  • CutSurfaceDisplay: the cut surface can be hidden, painted in a solid color, hatched using an Svg pattern (default) or hatched using a PAT pattern. See Hatching.
  • FuseBeforeCut: the section operation sometimes fails to cut the source shapes. If FuseBeforeCut is true, the source shapes are merged into a single shape before the section operation is attempted. If you encounter problems with the section operation, try flipping this value.